import request from '@/utils/request'

// 查询指令信息列表
export function listInstructionInfo(query) {
  return request({
    url: '/manage/instructionInfo/list',
    method: 'get',
    params: query
  })
}

// 查询指令信息详细
export function getInstructionInfo(id) {
  return request({
    url: '/manage/instructionInfo/' + id,
    method: 'get'
  })
}

// 新增指令信息
export function addInstructionInfo(data) {
  return request({
    url: '/manage/instructionInfo',
    method: 'post',
    data: data
  })
}

// 修改指令信息
export function updateInstructionInfo(data) {
  return request({
    url: '/manage/instructionInfo',
    method: 'put',
    data: data
  })
}

// 删除指令信息
export function delInstructionInfo(id) {
  return request({
    url: '/manage/instructionInfo/' + id,
    method: 'delete'
  })
}
